/**
 * Created by IntelliJ IDEA.
 * User: m09aav2
 * Date: 30.09.2009
 * Time: 19:11:09
 * To change this template use File | Settings | File Templates.
 */

import java.util.*;
import java.io.*;
public class p1 {
    public static void main (String[] arqs)throws Exception{
        Scanner s=new Scanner (new File("quotient.in"));
                                   long a=s.nextInt();
    long b=s.nextInt();
        PrintWriter p=new PrintWriter (new File("quotient.out"));

         if (b==0)
         p.print("Na nol' delit' nel'zya");

        else
        p.print(a/b);
        s.close();
        p.close();
  }
}
